com.thinkaurelius.titan.core.schema

## Interface VertexLabelMaker

- All Known Implementing Classes:
    StandardVertexLabelMaker

      public interface VertexLabelMaker

  A builder to create new `VertexLabel`s. A vertex label is defined by its name and additional properties such as:
  - Partition: Whether the vertices of this label should be partitioned. A partitioned vertex is split across the partitions in a graph such that each partition contains on "sub-vertex". This allows Titan to effectively manage vertices with very large degrees but is inefficient for vertices with small degree
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the to-be-build vertex label
    `VertexLabel` | `make()` Creates a `VertexLabel` according to the specifications of this builder.
    `VertexLabelMaker` | `partition()` Enables partitioning for this vertex label.
    `VertexLabelMaker` | `setStatic()` Makes this vertex label static, which means that vertices of this label cannot be modified outside of the transaction in which they were created.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the to-be-build vertex label
      Returns:
        the label name

    - #### partition

          VertexLabelMaker partition()

      Enables partitioning for this vertex label. If a vertex label is partitioned, all of its vertices are partitioned across the partitions of the graph.
      Returns:
        this VertexLabelMaker

    - #### setStatic

          VertexLabelMaker setStatic()

      Makes this vertex label static, which means that vertices of this label cannot be modified outside of the transaction in which they were created.
      Returns:
        this VertexLabelMaker

    - #### make

          VertexLabel make()

      Creates a `VertexLabel` according to the specifications of this builder.
      Returns:
        the created vertex label

Copyright © 2012–2014. All rights reserved.